buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mat Schaffer <mat.schaf...@gmail.com>
Subject Re: Help running buildr on jruby master, Mac 10.6
Date Wed, 02 Sep 2009 14:51:31 GMT

On Sep 2, 2009, at 10:40 AM, Mat Schaffer wrote:

> Hi, I'm trying to get buildr running, but keep hitting dependency  
> issues and thought I should ask if there's a known issue or  
> workaround here.
>
> I did:
>
> git clone git://github.com/jruby/jruby.git /usr/local/jruby
> cd /usr/local/jruby
> ant
> (PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/sbin:/ 
> Users/schapht/.gem/ruby/1.8/bin:/usr/local/jruby/bin)
> jgem install buildr
> buildr
>
> /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:827:in  
> `report_activate_error': Could not find RubyGem rake (= 0.8.4)  
> (Gem::LoadError)
>
> 	from /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:261:in  
> `activate'
> 	from /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:296:in  
> `activate'
> 	from /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:in  
> `each'
> 	from /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:in  
> `activate'
> 	from /usr/local/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:68:in `gem'
> 	from /usr/local/jruby/bin/buildr:18
>
>
> I can jgem install rake --version=0.8.4, but then I hit the same  
> thing on net-ssh, net-sftp, highline and probably more.
>
> Has anyone else seen this? I get similar behavior from a downloaded  
> binary of jruby 1.3.1.
>
> Thanks,
> Mat


Ah found my own problem. Apparently jgem also reads ~/.gemrc which was  
referencing my MRI ruby installation. So jgem install was skipping a  
lot of dependencies.

Sorry for the list noise.
-Mat
Mime
View raw message